﻿@model VmFamiliar
<div class="modal-header">
    <h5 class="modal-title" id="staticBackdropLabel">Registrar Familiares</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class="container-fluid">
        <div id="DivRegFam" class="MargenDivTssp" style="display: block;">
            <div class="row">
                <div class="col-sm-6 col-md-6" style="vertical-align: middle;">
                    <img src="#" alt="img" style="height: 310px;width: 370px;background:#5490ff;color:#5490ff;">
                </div>
                <div class="col-sm-6 col-md-6" style="max-width: 400px;">
                    <form id="user" autocomplete="off" data-ajax="true" asp-action="AgregarFamiliar" asp-antiforgery="true"
                          method="post">
                        <div class="row">
                            <div class="col-md-12 ">
                                <h4>
                                    <label id="Label1">Agregar Familiar</label>
                                </h4>
                                <br>
                            </div>
                            <div class="col-md-12 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-users"></i>
                                        </span>
                                    </div>
                                    <select id="ddl_ParentescoPopUp" class="validate[required] form-control form-control-sm" asp-for="IDPRNTSCO">
                                        <option value="" disabled="" selected="">Parentesco</option>
                                        <option value="4">Conyuge</option>
                                        <option value="5">Hermano(a)</option>
                                        <option value="3">Hijo(a)</option>
                                        <option value="6">Madre</option>
                                        <option value="7">Otro</option>
                                        <option value="2">Padre</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pr-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-id-card"></i>
                                        </span>
                                    </div>
                                    <select id="ddl_TipDoc" class="form-control form-control-sm" asp-for="TDCMNTO"
                                            placeholder="" onchange="isTipoDocumento(this,'Txt_NumDoc')">
                                        <option value="1" selected="selected">DNI</option>
                                        <option value="3">Carnet extranjería</option>
                                        <option value="6">Pasaporte</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pl-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-hashtag"></i>
                                        </span>
                                    </div>
                                    <input type="text" id="Txt_NumDoc"
                                           class="validate[required,minSize[8]] form-control form-control-sm" asp-for="NDCMNTO"
                                           placeholder="Nro. de Documento" maxlength="8" onkeypress="return isNumber(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pr-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20"
                                           class="validate[required] form-control form-control-sm" id="Txt_ApePat" asp-for="APATERNO"
                                           placeholder="Apellido Paterno" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pl-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20"
                                           class="validate[required] form-control form-control-sm" id="Txt_ApeMat" asp-for="AMATERNO"
                                           placeholder="Apellido Materno" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pr-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20"
                                           class="validate[required] form-control form-control-sm" id="Txt_pNombres" asp-for="PNOMBRE"
                                           placeholder="Primer Nombre" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pl-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20"
                                           class="form-control form-control-sm" id="Txt_sNombres" asp-for="SNOMBRE"
                                           placeholder="Segundo Nombre" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pr-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fas fa-calendar-alt"></i>
                                        </span>
                                    </div>
                                    <input type="text" id="Txt_FecNac" placeholder="Fecha Nacimiento"
                                           class="validate[required,custom[date]] form-control form-control-sm"
                                           maxlength="10" asp-for="FNCMNTO" data-date-end-date="0d" data-date-language="es">
                                    @*<input type="text" id="Txt_FecNac" placeholder="Fecha Nacimiento" readonly
                                        class="validate[required,custom[date]] form-control form-control-sm hasDatepicker datepicker"
                                        maxlength="10" asp-for="FNCMNTO" onChange="dateFormat(this)" data-provide="datepicker" data-date-end-date="0d" data-date-language="es">*@
                                </div>
                            </div>
                            <div class="col-md-6 my-1 pl-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-venus-mars"></i>
                                        </span>
                                    </div>
                                    <div class="form-control form-control-sm">
                                        <label class="radio-inline">

                                            @Html.RadioButtonFor(model => model.SXO, "M", new { @id = "optM", @class = "validate[required]" })
                                            Hombre
                                            @*<input type="radio" checked="checked" class="validate[required] radio"
                                                name="inlineRadioOptions" id="sex1" value="M">Hombre*@
                                        </label>
                                        <label class="radio-inline">

                                            @Html.RadioButtonFor(model => model.SXO, "F", new { @id = "optF", @class = "validate[required]" })
                                            Mujer
                                            @*<input type="radio" class="validate[required] radio"
                                                name="inlineRadioOptions" id="sex2" value="F">Mujer*@
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-md-12">
                                <input type="submit" id="Btn_RegistrarPopUp" class=" btn btn-primary btn-block btn-md" value="REGISTRAR FAMILIAR">
                                @*<input type="button" id="Btn_RegistrarPopUp" class=" btn btn-primary btn-block btn-md" value="REGISTRAR FAMILIAR" onclick="validar()">*@
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal-footer">
    @*<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary btn-sm">Agregar</button>*@
</div>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">
                    <!-- Titulo -->
                    Mensaje
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                @ViewBag.CitaMensaje
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Aceptar</button>

            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalRegistro" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">
                    <!-- Titulo -->
                    Mensaje
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                @ViewBag.CitaMensajeR
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal"
                        onclick="location.href='@Url.Action("Index", "Citas")'">
                    Aceptar
                </button>

            </div>
        </div>
    </div>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/locales/bootstrap-datepicker.es.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
@if (ViewBag.CitaMensaje != null)
{
    <script type="text/javascript">
        $("#exampleModal").modal("show");
    </script>
}
@if (ViewBag.CitaMensajeR != null)
{
    <script type="text/javascript">
        $("#modalRegistro").modal("show");
    </script>
}

  
@*<script type="text/javascript">

        $(document).ready(function () {
            $("#user").validationEngine({ binded: false, autoHidePrompt: true, autoHideDelay: 1500, fadeDuration: 300, showOneMessage: true, promptPosition: "bottomLeft" });
        });
        //$('#user').validationEngine('hideAll');

        var stDate = '01/01/1970';
        $('#Txt_FecNac').datepicker({
            language: "es",
            weekStart: 1,
            daysOfWeekHighlighted: "6,0",
            autoclose: true,
            todayHighlight: true,
            format: "dd/mm/yyyy",
            startDate: stDate,
            todayBtn: "linked",
            keyboardNavigation: true
        });
        /*$('#Txt_FecNac').datepicker("setDate", new Date());*/
    </script>*@